fsfatinfo

NAME
fsfatinfo - determines information about a File Allocation Table (FAT) file system volume

SYNOPSIS
fsfatinfo [-B bodyfile] [-E identifier] [-F path] [-o offset] [-dhHvV] source

DESCRIPTION
fsfatinfo is a utility to determine information about a File Allocation Table (FAT) file system volume

fsfatinfo is part of the libfsfat package. libfsfat is a library to access the File Allocation Table (FAT) file system format

source is the source file.

The options are as follows:

-B bodyfile
    output file system information as a bodyfile

-d  calculate a MD5 hash of a file entry to include in the bodyfile

-E identifier
    show information about a specific file system entry

-F path
    show information about a specific file entry path

-h  shows this help

-H  shows the file system hierarchy

-v  verbose output to stderr

-V  print version

ENVIRONMENT
None

FILES
None

EXAMPLES

    # fsfatinfo fat32.raw
    fsfatinfo 20220727

    File Allocation Table (FAT) file system information:

    Volume information:
            File system             : FAT-32
            Label                   : TESTVOLUME

DIAGNOSTICS
Errors, verbose and debug output are printed to stderr when verbose output -v is enabled. Verbose and debug output are only printed when enabled at compilation.

BUGS
Please report bugs of any kind to <joachim.metz@gmail.com> or on the project website: https://github.com/libyal/libfsfat/

AUTHOR
These man pages were written by Joachim Metz.

COPYRIGHT
Copyright 2021-2022, Joachim Metz <joachim.metz@gmail.com>. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO